React-Create nuxt app v4.0.0: Create Nuxt.js App in seconds.

icon
Latest Release: v4.0.0

Bug Fixes

  • ava: revert require-extension-hooks-vue for fixing peer dep error on vue-template-compiler (4b6247d)
  • axios: avoid hard-coded base URL localhost:3000, fixes #641 (#830) (93297e5)
  • deps: add nuxt required deps to root for avoiding hosting issue (ca5e6b4)
  • husky: revert stdin tty workaround of #766 for npm (#825) (1520453)
  • nightwatch: use correct css selector (f19bc15)
  • primevue: fix primevue nuxt module name (c12c1ee)
  • stylelint: unknown word on scss file (9461143)
  • vuetify: update @nuxtjs/vuetify for using sass-loader v10 (c897e1a)
  • windicss: upgrade templates for v2 (#876)
  • deps: update dependencies to the latest version

Features

BREAKING CHANGES

  • minimum node version is 12
Source code(tar.gz)
Source code(zip)

Create Nuxt App

NPM version NPM downloads GitHub Action

Create a Nuxt.js project in seconds

Preview

preview

Usage

Make sure you have npx installed (npx is shipped by default since npm 5.2.0)

npx create-nuxt-app <my-project>

Or starting with npm v6.1 you can do:

npm init nuxt-app <my-project>

Or with yarn:

yarn create nuxt-app <my-project>

Features ?

  1. Choose the package manager
    • Yarn
    • Npm
  2. Choose programming language
    • JavaScript
    • TypeScript
  3. Choose your favorite UI framework:
  4. Choose the runtime for TypeScript (if you choose TypeScript)
  5. Choose Nuxt.js modules:
  6. Choose linting tools:
  7. Check the features needed for your project:
  8. Choose your favorite test framework:
  9. Choose rendering mode
  10. Choose development tools

CLI Options

--edge

Alias: -e.

To install nuxt-edge instead of nuxt, add the command line option --edge:

npx create-nuxt-app <my-project> --edge

Or

npm init nuxt-app <my-project> --edge

Or

yarn create nuxt-app <my-project> --edge

--info

Alias: -i. Print out debugging information relating to the local environment and exit.

--help

Alias: -h. Show the help information and exit, include: usage, command and all cli options.

--verbose

Show debug logs

--version

Alias: -v. Show version number and exit.

Credits

Comments

  • feat(cna,template): add src directory prompt
    feat(cna,template): add src directory prompt

    Sep 21, 2021

    Resolve #243 (maybe)

    I don't know who mainly manages this repository. So let me request a review from @Atinux and please change reviewers as needed. 🙏

    @ushironoko

    Is this what you meant in the original issue? If so, I appreciate your review on this PR too. If not, I appreciate additional explanation in the original issue so that I could help.


    Explanation of work

    Most are explained in the code.

    Just in case, I checked files in cna-template/template/frameworks directory, and I believe there is no relative paths (e.g. ../) used to refer to other files. This means changing srcDir doesn't break any such statements. If I should add unit tests for combination of srcDir and frameworks, I will so let me know.


    👷‍♂️ Since this is my very first PR for create-nuxt-app tool, I may be making mistakes or missing something. 👷‍♀️

    Reply
  • [FEAT] add `--answers` documentation
    [FEAT] add `--answers` documentation

    Sep 30, 2021

    Currently --answers options is not documented. Have to read src code in order to understand how it works

    Reply
  • Default app creation with vulnerabilities
    Default app creation with vulnerabilities

    Oct 9, 2021

    Version

    create-nuxt-app:

    Steps to reproduce

    1. https://nuxtjs.org/docs/get-started/installation
    2. Create a new app
    3. Run npm install

    What is Expected?

    No vulnerabilities

    What is actually happening?

    Screenshot from 2021-10-09 23-40-18

    bug 
    Reply
  • Unable to start a new project
    Unable to start a new project

    Oct 12, 2021

    Versions

    • nuxt: 2.15.8
    • node: v16.10.0

    Steps to reproduce

    yarn create nuxt-app my-app

    What is Expected?

    A new project is created

    What is actually happening?

    [[email protected] tmp]$ yarn create nuxt-app my-app
    yarn create v1.22.15
    [1/4] Resolving packages...
    [2/4] Fetching packages...
    [3/4] Linking dependencies...
    [4/4] Building fresh packages...
    success Installed "[email protected]" with binaries:
          - create-nuxt-app
    [#############################################################################################################################################################################################################################################################################################################] 342/342/home/andrew/.config/yarn/global/node_modules/create-nuxt-app/lib/cli.js:12
    const cli = cac('create-nuxt-app')
                ^
    
    TypeError: cac is not a function
        at Object.<anonymous> (/home/andrew/.config/yarn/global/node_modules/create-nuxt-app/lib/cli.js:12:13)
        at Module._compile (node:internal/modules/cjs/loader:1101:14)
        at Object.Module._extensions..js (node:internal/modules/cjs/loader:1153:10)
        at Module.load (node:internal/modules/cjs/loader:981:32)
        at Function.Module._load (node:internal/modules/cjs/loader:822:12)
        at Function.executeUserEntryPoint [as runMain] (node:internal/modules/run_main:79:12)
        at node:internal/main/run_main_module:17:47
    error Command failed.
    Exit code: 1
    Command: /home/andrew/.yarn/bin/create-nuxt-app
    Arguments: my-app
    Directory: /tmp
    Output:
    
    
    Reply
  • Can't create app with create-nuxt-app
    Can't create app with create-nuxt-app

    Oct 12, 2021

    Version

    create-nuxt-app: v3.7.0

    Steps to reproduce

    Just create an app with create-nuxt-app. no matter which of npm, npx, yarn to choose, all of them has this issue.

    What is Expected?

    Install properly without any issues

    What is actually happening?

    It keeps throwing an error that cac is not a function code error

    bug 
    Reply
  • failed to (complete) setup with the following choices on node v17.0.0.1 using FNM (postcss-nesting node version error)
    failed to (complete) setup with the following choices on node v17.0.0.1 using FNM (postcss-nesting node version error)

    Nov 22, 2021

    Version

    create-nuxt-app v3.7.1

    Steps to reproduce

    use FNM version: fnm 1.28.1 install node version: v17.0.0.1 > yarn create-nuxt-app <name>

    use these settings:

    ✨  Generating Nuxt.js project in <name>
    ? Project name: the-green-shepherd-nuxt
    ? Programming language: **TypeScript**
    ? Package manager: **Yarn**
    ? UI framework: **Tailwind CSS**
    ? Nuxt.js modules: (Press <space> to select, <a> to toggle all, <i> to invert selec
    tion)
    ? Linting tools: (Press <space> to select, <a> to toggle all, <i> to invert selecti
    on)
    ? Testing framework: **Jest**
    ? Rendering mode: **Universal (SSR / SSG)**
    ? Deployment target: **Static (Static/Jamstack hosting)**
    ? Development tools: **Dependabot (For auto-updating dependencies, GitHub only)**
    ? Continuous integration: **None**
    ? What is your GitHub username? **<my GH name>**
    ? Version control system: **Git**
    

    What is Expected?

    create-nuxt-app creates my project successfully

    What is actually happening?

    I am getting the following error:

    error [email protected]: The engine "node" is incompatible with this module. Ex
    pected version "12 - 16". Got "17.1.0"
    error Found incompatible module.
    
    bug 
    Reply
  • Typescript and ESLint run lint failure.
    Typescript and ESLint run lint failure.

    Dec 12, 2021

    Version

    create-nuxt-app: v3.7.1

    Steps to reproduce

    Create a new nuxt (typescript, es-lint) application: npx create-nuxt-app my-first-nuxt-app

    What is Expected?

    Application first commit should successfully lint in CI.

    What is actually happening?

    When running npm run lint ESLint there is no typescript installed dependency:

    Run npm run lint
      npm run lint
      shell: /usr/bin/bash -e {0}
    
    > [email protected] lint /home/runner/work/hands-on-nuxt/hands-on-nuxt
    > npm run lint:js && npm run lint:style
    
    
    > [email protected] lint:js /home/runner/work/hands-on-nuxt/hands-on-nuxt
    > eslint --ext ".js,.vue" --ignore-path .gitignore .
    
    
    Oops! Something went wrong! :(
    
    ESLint: 7.32.0
    
    Error: Failed to load plugin '@typescript-eslint' declared in '.eslintrc.js » @nuxtjs/eslint-config-typescript': Cannot find module 'typescript'
    Require stack:
    - /home/runner/work/hands-on-nuxt/hands-on-nuxt/node_modules/@typescript-eslint/eslint-plugin/dist/util/astUtils.js
    - /home/runner/work/hands-on-nuxt/hands-on-nuxt/node_modules/@typescript-eslint/eslint-plugin/dist/util/index.js
    - /home/runner/work/hands-on-nuxt/hands-on-nuxt/node_modules/@typescript-eslint/eslint-plugin/dist/rules/adjacent-overload-signatures.js
    - /home/runner/work/hands-on-nuxt/hands-on-nuxt/node_modules/@typescript-eslint/eslint-plugin/dist/rules/index.js
    - /home/runner/work/hands-on-nuxt/hands-on-nuxt/node_modules/@typescript-eslint/eslint-plugin/dist/index.js
    - /home/runner/work/hands-on-nuxt/hands-on-nuxt/node_modules/@eslint/eslintrc/lib/config-array-factory.js
    - /home/runner/work/hands-on-nuxt/hands-on-nuxt/node_modules/@eslint/eslintrc/lib/index.js
    - /home/runner/work/hands-on-nuxt/hands-on-nuxt/node_modules/eslint/lib/cli-engine/cli-engine.js
    - /home/runner/work/hands-on-nuxt/hands-on-nuxt/node_modules/eslint/lib/eslint/eslint.js
    - /home/runner/work/hands-on-nuxt/hands-on-nuxt/node_modules/eslint/lib/eslint/index.js
    - /home/runner/work/hands-on-nuxt/hands-on-nuxt/node_modules/eslint/lib/cli.js
    - /home/runner/work/hands-on-nuxt/hands-on-nuxt/node_modules/eslint/bin/eslint.js
        at Function.Module._resolveFilename (internal/modules/cjs/loader.js:902:15)
        at Function.Module._load (internal/modules/cjs/loader.js:746:27)
        at Module.require (internal/modules/cjs/loader.js:974:19)
        at require (/home/runner/work/hands-on-nuxt/hands-on-nuxt/node_modules/v8-compile-cache/v8-compile-cache.js:159:20)
        at Object.<anonymous> (/home/runner/work/hands-on-nuxt/hands-on-nuxt/node_modules/@typescript-eslint/eslint-plugin/dist/util/astUtils.js:27:25)
        at Module._compile (/home/runner/work/hands-on-nuxt/hands-on-nuxt/node_modules/v8-compile-cache/v8-compile-cache.js:192:30)
        at Object.Module._extensions..js (internal/modules/cjs/loader.js:1114:10)
        at Module.load (internal/modules/cjs/loader.js:950:32)
        at Function.Module._load (internal/modules/cjs/loader.js:790:12)
        at Module.require (internal/modules/cjs/loader.js:974:19)
    npm ERR! code ELIFECYCLE
    npm ERR! errno 2
    npm ERR! [email protected] lint:js: `eslint --ext ".js,.vue" --ignore-path .gitignore .`
    npm ERR! Exit status 2
    npm ERR! 
    npm ERR! Failed at the [email protected] lint:js script.
    npm ERR! This is probably not a problem with npm. There is likely additional logging output above.
    
    npm ERR! A complete log of this run can be found in:
    npm ERR!     /home/runner/.npm/_logs/2021-12-12T20_00_10_846Z-debug.log
    npm ERR! code ELIFECYCLE
    npm ERR! errno 2
    npm ERR! [email protected] lint: `npm run lint:js && npm run lint:style`
    npm ERR! Exit status 2
    npm ERR! 
    npm ERR! Failed at the [email protected] lint script.
    npm ERR! This is probably not a problem with npm. There is likely additional logging output above.
    
    npm ERR! A complete log of this run can be found in:
    npm ERR!     /home/runner/.npm/_logs/2021-12-12T20_00_10_970Z-debug.log
    Error: Process completed with exit code 2.
    
    bug 
    Reply
  • Edge flag installs vue 2
    Edge flag installs vue 2

    Jan 2, 2022

    Version

    create-nuxt-app: v.4.0.0

    Steps to reproduce

    yarn create nuxt-app frontend --edge

    What is Expected?

    Proper dependencies and setup, based on vue 3 and nuxt 3.

    What is actually happening?

    The following dependencies are present in the package.json, most of which don't seem right:

    "dependencies": {
        "@nuxt/content": "^1.15.1",
        "@nuxtjs/axios": "^5.13.6",
        "@nuxtjs/pwa": "^3.3.5",
        "core-js": "^3.19.3",
        "nuxt-edge": "latest",
        "vue": "^2.6.14",
        "vue-server-renderer": "^2.6.14",
        "vue-template-compiler": "^2.6.14",
        "webpack": "^4.46.0"
      },
    

    Moreover, it seems some settings are ignored (nuxt.config.js is generated, despite selecting TypeScript)

    bug 
    Reply
  • Create nuxt app fatal error in production
    Create nuxt app fatal error in production

    Jan 19, 2022

    16416773511560

    I can't come to my senses. Looks like it's really a create-nuxt-app bug. Same error on two PCs. Yarn and nodejs versions are latest stable

    Parameters: ? Project name: Market ? Programming language: TypeScript ? Package manager: Yarn ? UI framework: None ? Nuxt.js modules: Axios - Promise based HTTP client ? Linting tools: ESLint, StyleLint ? Testing framework: None ? Rendering mode: Universal (SSR / SSG) ? Deployment target: Server (Node.js hosting) ? Development tools: (Press to select, to toggle all, to invert selection) ? Continuous integration: None ? Version control system: Git

    Reply
  • Error debugging after init with yarn create nuxt-app
    Error debugging after init with yarn create nuxt-app

    Jan 21, 2022

    Environment

    Nuxt CLI v3.0.0-27379487.e0cf2d7 23:41:01 RootDir: C:\Users\karll\projects\test\test-nuxt 23:41:02 Nuxt project info: 23:41:02


    • Operating System: Windows_NT
    • Node Version: v17.3.0
    • Nuxt Version: 2.15.8
    • Package Manager: [email protected]
    • Bundler: Webpack
    • User Config: ssr, head, css, plugins, components, buildModules, modules, vuetify, build
    • Runtime Modules: -
    • Build Modules: @nuxt/[email protected], @nuxtjs/[email protected], @nuxtjs/[email protected]

    Reproduction

    yarn create nuxt-app test-nuxt yarn create v1.22.17 warning ..\package.json: No license field [1/4] Resolving packages... [2/4] Fetching packages... [3/4] Linking dependencies... [4/4] Building fresh packages... success Installed "[email protected]" with binaries: - create-nuxt-app

    create-nuxt-app v4.0.0 ✨ Generating Nuxt.js project in test-nuxt

    Describe the bug

    yarn dev fails with error message: Error: error:0308010C:digital envelope routines::unsupported

    Additional context

    No response

    Logs

    yarn dev
    yarn run v1.22.17
    warning ..\..\..\package.json: No license field
    $ nuxt
    
       ╭───────────────────────────────────────╮
       │                                       │
       │   Nuxt @ v2.15.8                      │
       │                                       │
       │   ▸ Environment: development          │
       │   ▸ Rendering:   client-side          │
       │   ▸ Target:      server               │
       │                                       │
       │   Listening: http://localhost:3000/   │
       │                                       │
       ╰───────────────────────────────────────╯
    
    i Preparing project for development                                                                           23:35:05
    i Initial build may take a while                                                                              23:35:05
    i Discovered Components: .nuxt/components/readme.md                                                           23:35:05
    √ Builder initialized                                                                                         23:35:05
    √ Nuxt files generated                                                                                        23:35:05
    
    * Client █████████████████████████ compiling (0%)
    
    
    node:internal/crypto/hash:67
      this[kHandle] = new _Hash(algorithm, xofLen);
                      ^
    
    Error: error:0308010C:digital envelope routines::unsupported
        at new Hash (node:internal/crypto/hash:67:19)
        at Object.createHash (node:crypto:130:10)
        at module.exports (C:\Users\karll\projects\test\test-nuxt\node_modules\webpack\lib\util\createHash.js:135:53)
        at NormalModule._initBuildHash (C:\Users\karll\projects\test\test-nuxt\node_modules\webpack\lib\NormalModule.js:417:16)
        at handleParseError (C:\Users\karll\projects\test\test-nuxt\node_modules\webpack\lib\NormalModule.js:471:10)
        at C:\Users\karll\projects\test\test-nuxt\node_modules\webpack\lib\NormalModule.js:503:5
        at C:\Users\karll\projects\test\test-nuxt\node_modules\webpack\lib\NormalModule.js:358:12
        at C:\Users\karll\projects\test\test-nuxt\node_modules\loader-runner\lib\LoaderRunner.js:373:3
        at iterateNormalLoaders (C:\Users\karll\projects\test\test-nuxt\node_modules\loader-runner\lib\LoaderRunner.js:214:10)
        at Array.<anonymous> (C:\Users\karll\projects\test\test-nuxt\node_modules\loader-runner\lib\LoaderRunner.js:205:4)
        at Storage.finished (C:\Users\karll\projects\test\test-nuxt\node_modules\enhanced-resolve\lib\CachedInputFileSystem.js:55:16)
        at C:\Users\karll\projects\test\test-nuxt\node_modules\enhanced-resolve\lib\CachedInputFileSystem.js:91:9
        at C:\Users\karll\projects\test\test-nuxt\node_modules\graceful-fs\graceful-fs.js:123:16
        at FSReqCallback.readFileAfterClose [as oncomplete] (node:internal/fs/read_file_context:68:3) {
      opensslErrorStack: [ 'error:03000086:digital envelope routines::initialization error' ],
      library: 'digital envelope routines',
      reason: 'unsupported',
      code: 'ERR_OSSL_EVP_UNSUPPORTED'
    }
    
    Node.js v17.3.0
    error Command failed with exit code 1.
    
    Reply
  • yarn create nuxt-app using node v15.4.0
    yarn create nuxt-app using node v15.4.0

    Dec 20, 2020

    Facing error while running yarn create nuxt-app:

    [email protected]: The engine "node" is incompatible with this module. Expected version ">=10.16.0 <13". Got "15.4.0"
    error Found incompatible module.
    

    So, I think, the migration to new strapi is needed.

    System: Windows 10 Node: v15.4.0 Yarn: 1.19.1

    Reply
  • feat: upgrade vuetify
    feat: upgrade vuetify

    Jul 24, 2019

    Upgrade vuetify module to v1

    Resolve #295 Resolve https://github.com/nuxt-community/vuetify-module/issues/66

    Reply
  • Cannot create nuxt-app using yarn 1.13.0
    Cannot create nuxt-app using yarn 1.13.0

    Feb 19, 2019

    Hi there, with the current create-nuxt app (2.4.2) is does not seem possible that I can create a project from scratch using yarn. I tried the below code and yarn create nuxt-app nuxttest same errors as shown below

    If I can provide any other relevant information let me know. there was no template for issues. Can definitely be a yarn bug but i ran yarn create react-app with 0 issues

    yarn create nuxt-app
    yarn create v1.13.0
    [1/4] 🔍  Resolving packages...
    [2/4] 🚚  Fetching packages...
    [3/4] 🔗  Linking dependencies...
    warning "@vue/cli > @vue/cli-ui > [email protected]" has unmet peer dependency "[email protected]^0.9.0 || ^0.10.0 || ^0.11.0 || ^0.12.0 || ^0.13.0 || ^14.0.0".
    warning "@vue/cli > @vue/cli-ui > [email protected]" has unmet peer dependency "[email protected]>=0.8.0".
    [4/4] 🔨  Building fresh packages...
    
    success Installed "[email protected]" with binaries:
          - create-nuxt-app
    env: node\r: No such file or directory
    error Command failed.
    Exit code: 127
    Command: /usr/local/bin/create-nuxt-app
    Arguments:
    Directory: /Users/zain/projects
    Output:
    

    note: runs as expected using the equivalent npx based command

    Reply
  • Weird missing dependency
    Weird missing dependency

    Jan 9, 2018

    Hi guys,

    I created a project with create-nuxt-app and tried to start with npm run dev but I got error messages:

     ERROR  Failed to compile with 1 errors                                                                    19:52:33
    
    This dependency was not found:
    
    * d:\Work\tmp\nuxt-demo\.nuxt\client.js in multi webpack-hot-middleware/client?name=client&reload=true&timeout=30000&path=/__webpack_hmr ./.nuxt/client.js
    
    To install it, you can run: npm install --save d:\Work\tmp\nuxt-demo\.nuxt\client.js
    

    What is the problem? The mentioned "install ...js" message is not valid, I can't install a JS file with npm install.

    Win7, Node 8.9.4

    Thanks in advance!

    This question is available on Nuxt.js community (#c9)
    Reply
  • ubuntu 16.04 npx create-nuxt-app
    ubuntu 16.04 npx create-nuxt-app

    Feb 11, 2019

    npm -v 6.4.1 node -v v10.15.1

    npx create-nuxt-app

    npx: installed 379 in 15.435s

    Generating Nuxt.js project in /home/nuxt ? Project name nuxt ? Project description My terrific Nuxt.js project ? Use a custom server framework none ? Choose features to install (Press to select, to toggle all, to invert selection) ? Use a custom UI framework none ? Use a custom test framework none ? Choose rendering mode Universal ? Author name ? Choose a package manager npm ⠙ Installing packages with npm ⠸ Installing packages with npm ⠴ Installing packages with npm ⠧ Installing packages with npm ⠦ Installing packages with npm ⠇ Installing packages with npm ⠋ Installing packages with npm /home/nuxt/.npm/_npx/1063227/lib/node_modules/create-nuxt-app/node_modules/sao/lib/installPackages.js:108 throw new SAOError(Failed to install ${packageName} in ${cwd}) ^

    Error: Failed to install packages in /home/nuxt at ChildProcess.ps.on.code (/home/nuxt/.npm/_npx/1063227/lib/node_modules/create-nuxt-app/node_modules/sao/lib/installPackages.js:108:15) at ChildProcess.emit (events.js:189:13) at maybeClose (internal/child_process.js:970:16) at Socket.stream.socket.on (internal/child_process.js:389:11) at Socket.emit (events.js:189:13) at Pipe._handle.close (net.js:600:12)

    Reply
  • Ant Design Vue ( Use modularized Antd )
    Ant Design Vue ( Use modularized Antd )

    Jun 12, 2019

    Hello everyone and sorry if it's not the right place for this one ! It's my very first time on github 😂 I'm using nuxt for a while now and everything works great except for the Antd Framework ! It works as a plugin from the Nuxt CLI ... but the vue devtools keeps showing a warning about should avoid importing the whole package and using the modularized way with babel-import-plugin Does anyone faced it or any fix for this please ?

    Reply
  • New project with ESLint/Prettier, warnings and errors
    New project with ESLint/Prettier, warnings and errors

    Jul 1, 2019

    I just run the create-nuxt-app and I checked ESLint and Prettier and right of the bat I have those errors. Is it normal? Am I missing something?

    I searched here, I'm sorry if I missed an answer.

     ERROR  in ./pages/index.vue                                                       friendly-errors 21:04:29
    
    Module Error (from ./node_modules/eslint-loader/index.js):                         friendly-errors 21:04:29
    
    /media/DarkHawk/srv/NodesProjects/NJS-domains/pages/index.vue
      5:25  warning  Expected 1 line break after opening tag (`<h1>`), but no line breaks found                                                                                                                                                                        vue/singleline-html-element-content-newline
      5:36  warning  Expected 1 line break before closing tag (`</h1>`), but no line breaks found                                                                                                                                                                      vue/singleline-html-element-content-newline
      6:28  warning  Expected 1 line break after opening tag (`<h2>`), but no line breaks found                                                                                                                                                                        vue/singleline-html-element-content-newline
      6:55  warning  Expected 1 line break before closing tag (`</h2>`), but no line breaks found                                                                                                                                                                      vue/singleline-html-element-content-newline
      8:76  error    Replace `>Documentation</a` with `⏎··········>Documentation</a⏎········`                                                                                                                                                                          prettier/prettier
      9:11  error    Replace `·href="https://github.com/nuxt/nuxt.js"·target="_blank"·class="button--grey">GitHub</a` with `⏎··········href="https://github.com/nuxt/nuxt.js"⏎··········target="_blank"⏎··········class="button--grey"⏎··········>GitHub</a⏎········`  prettier/prettier
    
    ✖ 6 problems (2 errors, 4 warnings)
      2 errors and 4 warnings potentially fixable with the `--fix` option.
    
                                                                                       friendly-errors 21:04:29
     @ ./.nuxt/router.js 13:24-15:3
     @ ./.nuxt/index.js
     @ ./.nuxt/client.js
     @ multi eventsource-polyfill webpack-hot-middleware/client?reload=true&timeout=30000&ansiColors=&overlayStyles=&name=client&path=/__webpack_hmr/client ./.nuxt/client.js
    
    Reply
  • Typescript support
    Typescript support

    Jan 22, 2018

    It would be nice to have typescript/tslint support as part of the configuration

    This feature request is available on Nuxt.js community (#c16)
    enhancement 
    Reply
  • feat: add typescript support using typescript-build
    feat: add typescript support using typescript-build

    Aug 20, 2019

    I do not add any other typescript dependencies like vue-property-decorator and vue-function-api . It may depends on users. and hard to decide add tsconfig.json by default. please give me a suggestions.

    image

    image

    Reply
  • Failed to install packages
    Failed to install packages

    Mar 4, 2020

    Wanted to try nuxt. Ran yarn create nuxt-app nuxt-test.

    It did some stuff, and actually created the directory with some stuff in there, but then spit out the following error:

    C:\Users\martixy\AppData\Local\Yarn\Data\global\node_modules\sao\lib\installPackages.js:108
            throw new SAOError(`Failed to install ${packageName} in ${cwd}`)
            ^
    
    SAOError: Failed to install packages in C:\Web\Projects\nuxt-test
        at ChildProcess.<anonymous> (C:\Users\martixy\AppData\Local\Yarn\Data\global\node_modules\sao\lib\installPackages.js:108:15)
        at ChildProcess.emit (events.js:321:20)
        at ChildProcess.cp.emit (C:\Users\martixy\AppData\Local\Yarn\Data\global\node_modules\sao\node_modules\cross-spawn\lib\enoent.js:34:29)
        at maybeClose (internal/child_process.js:1026:16)
        at Process.ChildProcess._handle.onexit (internal/child_process.js:286:5) {
      __sao: true
    }
    error Command failed.
    Exit code: 1
    

    Environment: Win10
    Node v13.8.0
    yarn v1.22.0

    Reply